#include <iostream>
#include <fstream>
#include <iomanip>
#include <cmath>
#include <algorithm>
#define MAX 2*10^5

using namespace std;




int main()
{
    int i,j;
    int n;//broj el glavnog niza
    scanf("%d",&n);
    int a[n];
    for(i=0;i<n;i++){
        scanf("%d",&a[i]);//unos el u niza A
    }
    int q;
    scanf("%d",&q);//poklonjeni nizovi
    int odgovori[q];
    for(i=0;i<q;i++){
        odgovori[i]=0;
    }
    int podniz[MAX];
    int sortirani[MAX];
    int novi_niz[MAX];
    int l[q];
    int r[q];
    for(i=0;i<q;i++){
        scanf("%d",&l[i]);
        scanf("%d",&r[i]);
    }
    for(i=0;i<q;i++){
        int start = l[i]-1;
        int kraj = r[i]-1;
        for(int b=0;b<kraj-start;b++){
            podniz[b]=a[start];
            novi_niz[b]=a[start];
            start++;
        }
        int novi_niz[MAX];
        for(int c=0;c<kraj-start;c++){
            for(int k=c;kraj-start-1;k++){
                novi_niz[k]=novi_niz[k+1];
            }
            for(int k=c;kraj-start-1;k++){
                sortirani[k]=sortirani[k+1];
            }sort(sortirani,sortirani+(kraj-start-1));
            for(int h=0;h<kraj-start;h++){
                if(sortirani[h]!=novi_niz[h]){
                    odgovori[i]=1;break;
                }else odgovori[i]=0;
            }
        }
    }
    for(i=0;i<q;i++){
        if(odgovori[i]==1)cout<<"NE"<<endl;
        else cout<<"DA"<<endl;;
    }



    return 0;
}